メインコンテンツへスキップ
GET
/
collaboration_whitelist_entries
/
{collaboration_whitelist_entry_id}
cURL
curl -i -X GET "https://api.box.com/2.0/collaboration_whitelist_entries/213123" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
client.collaboration_allowlist_entries.get_collaboration_whitelist_entry_by_id(
new_entry.id
)
await client.collaborationAllowlistEntries.getCollaborationWhitelistEntryById(
newEntry.id!,
);
try await client.collaborationAllowlistEntries.getCollaborationWhitelistEntryById(collaborationWhitelistEntryId: newEntry.id!)
client.getCollaborationAllowlistEntries().getCollaborationWhitelistEntryById(newEntry.getId())
await client.CollaborationAllowlistEntries.GetCollaborationWhitelistEntryByIdAsync(collaborationWhitelistEntryId: NullableUtils.Unwrap(newEntry.Id));
{
  "id": "11446498",
  "type": "collaboration_whitelist_entry",
  "domain": "example.com",
  "direction": "both",
  "enterprise": {
    "id": "11446498",
    "type": "enterprise",
    "name": "Acme Inc."
  },
  "created_at": "2012-12-12T10:53:43-08:00"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

collaboration_whitelist_entry_id
string
必須

リスト内のエントリのID。

レスポンス

許可されたドメインのリストにエントリを返します。

ユーザーが社内のファイルやフォルダでコラボレーションできる (またはコラボレーションできない) 承認済みドメインを表すエントリ。

id
string

このエントリの一意の識別子。

:

"11446498"

type
enum<string>

値は常にcollaboration_whitelist_entryになります。

利用可能なオプション:
collaboration_whitelist_entry
:

"collaboration_whitelist_entry"

domain
string

許可リストに登録されるドメイン。

:

"example.com"

direction
enum<string>

許可するコラボレーションの方向。

利用可能なオプション:
inbound,
outbound,
both
:

"both"

enterprise
Enterprise · object

このリストが適用される企業。

created_at
string<date-time>

エントリが作成された日時。

:

"2012-12-12T10:53:43-08:00"

最終更新日 2026年1月23日